Bug 596 - Win9x cannot get list of users groups and shares from Samba3.0.0 PDC
Win9x cannot get list of users groups and shares from Samba3.0.0 PDC
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: User/Group Accounts
3.0.0
All Linux
: P3 major
: none
Assigned To: Samba Bugzilla Account
http://www.kzsdabas.sulinet.hu/~geza/...
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-10 00:52 UTC by Geza Gemes
Modified: 2005-11-14 09:27 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Geza Gemes 2003-10-10 00:52:12 UTC
Win9x client (win98 192.168.183.132) using (NT Domain logons) cannot get list of
users groups and shares from Samba3.0.0 PDC in any of the Domain security
related aplications: Nexus, Directory Sharing with user level security, Policy
Editor, Remote Administration

However on a Windows NT4.0 Server (winnt-serv 192.168.183.130) joined to the
domain, with on the fly account creation without problems, they worked perfectly.

All the configuration details, and logs are available at the mentioned URL
Comment 1 Geza Gemes 2003-10-21 06:15:14 UTC
Bug is ldapsam related, with tdbsam it doesn't exist
Comment 2 Manuel Alejandro de Brito Fontes 2003-10-21 15:19:40 UTC
I recently post a related problem to the samba mailing list and nobody answer me
 http://marc.theaimsgroup.com/?l=samba&m=106332005407723&w=2
I discovered that if I only use a few users (until 30) it works fine, but if I
try to add all the users that I have (almost 160) gives one strange error

[2003/09/11 18:36:41, 1] smbd/ipc.c:api_fd_reply(284)
  api_fd_reply: INVALID PIPE HANDLE: 0
[2003/09/11 18:36:42, 1] smbd/ipc.c:api_fd_reply(284)
  api_fd_reply: INVALID PIPE HANDLE: 0
[2003/09/11 18:36:42, 1] smbd/ipc.c:api_fd_reply(284)
  api_fd_reply: INVALID PIPE HANDLE: 0
[2003/09/11 18:36:42, 1] smbd/ipc.c:api_fd_reply(284)
  api_fd_reply: INVALID PIPE HANDLE: 0

when try to lookup the user list throw LDAP.
Comment 3 s_i_lao 2003-10-23 05:10:36 UTC
I would connect this with the reported #532 bug (I'm placing here the following
because of the "noise" this #bug made on the mail-list :) .
I found a relevant error with a "log level = 10" :

[...]
[2003/10/23 14:53:37, 5] rpc_parse/parse_prs.c:prs_debug(82)
  000010 smb_io_rpc_hdr_resp resp
[2003/10/23 14:53:37, 5] rpc_parse/parse_prs.c:prs_uint32(635)
      0010 alloc_hint: 00000300
[2003/10/23 14:53:37, 5] rpc_parse/parse_prs.c:prs_uint16(606)
      0014 context_id: 0000
[2003/10/23 14:53:37, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0016 cancel_ct : 00
[2003/10/23 14:53:37, 5] rpc_parse/parse_prs.c:prs_uint8(577)
      0017 reserved  : 00 
[2003/10/23 14:53:37, 5] smbd/ipc.c:send_trans_reply(91)
  send_trans_reply: buffer 512 too large
[2003/10/23 14:53:37, 3] smbd/error.c:error_packet(134)
  error packet at smbd/ipc.c(99) cmd=37 (SMBtrans) eclass=3 ecode=31
[2003/10/23 14:53:37, 5] smbd/ipc.c:copy_trans_params_and_data(62)
  copy_trans_params_and_data: params[0..0] data[0..512] 
[...]

I tried to set SO_RCVBUF and SO_SNDBUF to 8192 or 16384 but with no result.
Comment 4 Jeremy Allison 2003-10-23 13:53:51 UTC
I have fixed this in CVS.
Jeremy.
Comment 5 Gerald (Jerry) Carter 2005-08-24 10:17:45 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.
Comment 6 Gerald (Jerry) Carter 2005-11-14 09:27:55 UTC
database cleanup